STARTMESSAGE 1 ( Help screen for installing the Requester )
 Before installing the Requester:
 
 *  Is the workstation cabled to the network?
 *  Do you know what kind of network board is in the workstation?
 
 To install the Requester:

 1. Edit the CONFIG.SYS file to specify ODI LAN drivers, and 
    enable support for the features and protocols you need. 

 2. Copy the Requester files to the destination you specified. 
    The files for the NetWare User Tools and the RPRINTER 
    utility are also copied to this destination.

 You can do the steps independently. For example, if you just 
 want to change current installation settings, you can edit the 
 CONFIG.SYS without copying the files again. 
ENDMESSAGE


STARTMESSAGE 2 ( Help screen for specifying the destination directory )
 1. By default, Requester files and NSD files are copied to the 
    \NETWARE directory on your boot drive. To copy the files 
    somewhere else, type a new drive and directory name.  

 NOTE:  If you are going to use this workstation to install support
 for remote workstations, you must copy files to the default location.

 2. Make sure the source drive shown is the one you want to copy from. 
    If not, type a new drive letter. 

 If you are installing from a network drive, the directory structure 
 of the network drive must be EXACTLY the same as the directory 
 structure on the Requester and utilities diskettes. Specify the 
 network drive as the source drive. 
ENDMESSAGE


STARTMESSAGE 3 ( Help screen for editing the CONFIG.SYS file )
 When the Requester is installed, its core components and ODI 
 drivers are automatically loaded in the CONFIG.SYS file. The 
 CONFIG.SYS LIBPATH,  DPATH, and PATH variables are also modified
 to include the directory containing Requester files.
 
 You can customize the installation to load non-core components.
 
 Network interface card driver.  Click on the arrow at the right of the 
       driver box and select a driver with the same name as the network
       board in your workstation. 
      
       To install a third-party driver not shipped with the Requester, 
       click in the  driver text entry field and type the file name of 
       the driver. You will be prompted for a location from which to 
       install the driver. 

 SPX support.  Choose this box if you want to use RPRINTER,
       Named Pipes, or applications that use the SPX protocol. 
       If you are going to run TLI, load SPX.

 NetBIOS support.  Choose this box if you want to use applications
       that use the NetWare NetBIOS protocol. For information about using 
       NetWare NetBIOS with IBM NetBIOS, see the Requester manual. 

 NetWare support for virtual DOS sessions.  Choose this box if you want to
       access a NetWare network from a virtual DOS session. Also choose
       this box if you just want support for the IPX protocol in a virtual
       DOS session (and not NetWare support).
       
 NetWare support for virtual Windows sessions.  Choose this box if you 
       want to access a NetWare network from a virtual DOS session. Also 
       choose this box if you just want support for the IPX protocol in a 
       virtual Windows session (and not NetWare support).

 Remote Named Pipes support.  Choose this box if you want to use
       applications that use the Named Pipes protocol. 
 
 Client only.  Choose this button if your workstation will be a Named Pipes
       Client. 
 
 Client and Server support.  Choose this button if your workstation will be
       either a Named Pipes client or a server or both.  Type a 1-16 character
       name for the Named Pipes server. 
       
 NOTE:  To use the 3Com EtherLink series 503 board with the DIX connector,
 you must add 1=DIX to the end of the 3C503 line in the CONFIG.SYS file.  
 Do this after exiting the installation program and before rebooting.  
 For example:
 
 device=c:\netware\3c503.sys 1=DIX
ENDMESSAGE


STARTMESSAGE 4 ( Help screen for saving the CONFIG.SYS file )
 By default, the changes you just made will be saved to the CONFIG.SYS
 file in the root of your boot drive.

 To save the changes to a different file, type a new drive letter, 
 directory name, or file name. If you save the file with a name 
 other than CONFIG.SYS, the system will not use your changes when booting.
 
 NOTE:  If you save the file as CONFIG.SYS, the previous version of 
 the CONFIG.SYS file is saved as CONFIG.BAK. 
ENDMESSAGE


STARTMESSAGE 5 ( Help screen for copying files to the destination directory )
 Note the location where the Requester files will be copied. If you 
 do not want to copy files to this location, choose the Cancel button. 

 If you choose the Copy button, all Requester or NetWare for OS/2 
 files (.SYS, .DLL, .EXE) will be copied. 
ENDMESSAGE


STARTMESSAGE 6 ( Help screen for installing the NetWare Utilities )
 Make sure the source drive shown is the one you want to copy the 
 utility files from. If not, type a new drive letter. 

 If you are installing utilities from a network drive, the directory 
 structure of the network drive must be EXACTLY the same as the 
 directory structures on the utilities diskettes. 
ENDMESSAGE


STARTMESSAGE 7 ( Help screen for selecting file servers )
 The server list displays all servers to which you are connected with
 Supervisor rights or Supervisor equivalence. 

 To select or deselect a file server from the list, click the server
 name. To select multiple servers, click each server name. 

 To attach to file servers not in the list, choose the Attach button. 

 NOTE:	If you are installing the Requester for workstations that 
 boot remotely, you must install the remote boot files on all servers
 connected to the workstations' local networks.
ENDMESSAGE


STARTMESSAGE 8 ( Help screen for attaching to a file server )
 To attach as Supervisor, click the arrow to the right of the text
 entry field and select a server name.  Then type the Supervisor 
 password.

 To attach with Supervisor equivalence, select a server. Then erase 
 the word "Supervisor" and type a user name and password.  
ENDMESSAGE



STARTMESSAGE 9 ( Help screen for installing RIPL )
 Workstations that don't have hard disks can boot remotely with the
 remote initial program load (RIPL) files. 

 * To install the Remote files on one or more servers, select Copy RIPL 
    Files.  

 * To specify which workstations can use the files to boot remotely, choose
    Setup  Workstations. 
    
  * To do both, select Copy RIPL Files and Setup Workstations
 
 Since OS/2 and Requester files are copied from the hard disk on 
 this workstation, be sure the root of the hard drive contains only files
 you want copied to the network. Personal and temporary files can be moved
 to subdirectories.  
 
 NOTE:  You must install remote files and specify workstations on ALL
 servers connected to the workstations' local networks.
ENDMESSAGE


STARTMESSAGE 10 ( Help screen for adding a remote boot workstation )
 NOTE: You can move this help window to another location on your screen. 

 In each field, select or type the options explained below.  Then choose 
 "Add." Do this for each remote workstation.  When you finish setting up 
 remote workstations, choose "Cancel" to exit this window. 

 Setup THIS machine as a remote boot workstation.  Choose this button if
     you want this workstation to boot remotely.  This option may apply if
     this machine currently has a hard drive and you plan to either 
     remove it or not boot from it. 

 Setup Another machine as a remote boot workstation.  Choose this button 
     if you want a workstation other than this one to boot remotely. 

 Network Address.  The Requester puts this workstation's network address
     in this field.  To boot a remote workstation from a network other than
     this one, type the full network address in the text entry box. 
     
 Node Address. If you chose "THIS  machine," the Requester puts this
     workstation's node address in this field.  If you chose 
     "Another machine,"  you must type in the full node address for the
     workstation.  The node address is normally printed on the network board. 

 Driver.  Click the arrow to the right of the Driver text entry box and 
     select the driver for the remote workstation's network board. Remote
     workstations use different ODI drivers than regular workstations. 
     
     Remote workstations are easier to manage if they all use the same kind
     of network board.  See the Requester manual for more information
     about managing remote workstations. 
     
     NOTE: If your remote workstations use IBM Ethernet or Token-Ring 
     network boards, you must load a special .NLM on each server.  Follow the 
     instructions in the Requester manual.
 
 User Name.  Type the user name of the person using the remote
     workstation.  Each remote workstation must have a specific user name 
     associated with it.  
     
     After exiting this installation program, make sure each
     user you specify here has an account with the necessary rights on each
     server where you installed.  See the Requester manual for complete
     information. 

 Logical Name (optional).  Type an alphanumeric logical name.  You must use 
     a logical name for users who will log in from more than one workstation.  

     For example, if user JOHN sometimes logs in from workstation #1 and 
     sometimes from workstation #2, you might define a JOHN1 logical name 
     when you set up workstation #1, and a JOHN2 logical name when you set 
     up workstation #2.  
     
 Remote workstations must be properly cabled to the network, and they 
 must have network boards with boot PROMs installed. See the Requester 
 manual for more information.
ENDMESSAGE


STARTMESSAGE 11 ( Help screen for getting the NET.CFG file )
 The NET.CFG file stores configuration information for the core Requester,
 the ODI drivers, and the protocols. 

 If a NET.CFG file already exists for this workstation, click Edit to make
 changes to that file. 

 If a NET.CFG file does not exist for this workstation, click Edit and the
 file will be created. 

 NOTE: This installation program searches for NET.CFG in the root of 
 the boot drive. If a NET.CFG file already exists in another
 location, you will be told that no NET.CFG file was found and
 asked if you want to create the file in the root of the boot drive. 

 For details about configuring remote workstations, see the Requester manual. 
ENDMESSAGE


STARTMESSAGE 12 ( Help screen for the installation overview )
 Use the NetWare Requester to connect to NetWare servers and/or  to 
 run distributed applications.  With this installation/configuration 
 program, you can

 *  Install the NetWare Requester on this workstation

 *  Configure the NetWare Requester on this workstation

 *  Install the NetWare utilities for OS/2 on file servers

 *  Install the remote initial program load (RIPL) files to boot
    workstations without hard disks

 *  Add workstations without hard disks to the network

 *  Configure workstations without hard disks
ENDMESSAGE

STARTMESSAGE 13 ( Help screen for NET.CFG Options )

STARTTOPIC How to use this screen

STARTUSAGE
The window in the top left corner of the screen lists all NET.CFG
options and settings. Click on an option or setting in this topic 
index to receive help. 

This window displays the help information. Click on the buttons 
to the right of this window as needed. 

The window in the top right corner contains your NET.CFG file.  
You can type options and setting in this box, or you can paste 
text in from this help window.  Use the following keys to cut 
and paste text you've selected with your mouse or keyboard:  

CTRL-INS          Copy selected text
SHIFT-INS         Paste text at cursor location

SHIFT-DEL         Cut selected text
CTRL-DEL          Delete selected text. Deleted text cannot be repasted.
                   
If you delete any of the help information, restarting the 
installation procedure will restore the information. 

If you type text, follow the format instructions explained 
under "Format of NET.CFG Options" in the topic window.  

After typing in the options/settings, click the Save button on 
the right side of the screen. 
ENDUSAGE

ENDTOPIC
STARTTOPIC Do I have to configure?

STARTUSAGE
Configuration is normally optional. In the following
situations, you probably need to configure:

*  More than one network board in workstation
   (use Link Driver and Protocol Stack IPX options)

*  A single network board, but the board is not using defaults 
   (use Link Driver option)

*  Running distributed applications such as SQL Server or Lotus Notes
   using Named Pipes, NetBIOS, SPX, or IPX
   (use Protocol Stack IPX, Protocol Stack SPX, NetWare NetBIOS, 
   or Named Pipes options)
   
*  The Ethernet network uses a frame type other than 802.3 (use Link
    Driver option)
    
*  The workstation will connect to both the NetWare operating system and
    another network operating system (use Link Driver, Protocol ODINSUP, 
    and Link Support options)
ENDUSAGE

ENDTOPIC


STARTTOPIC Format of NET.CFG options

STARTEXAMPLE
Sample NET.CFG file:

link driver ne2000 
   int 4
   port 360
   frame ethernet_802.2
link driver ne1000
   int 5
   port 310
   node address 02608c861759
protocol stack spx
   sessions 255
netware requester
   preferred admin
named pipes
   client sessions 40
   server sessions 255
   service threads 12
ENDEXAMPLE

STARTUSAGE
Type options at the left margin with no spaces before or after.
Type one option per line. 

Type settings, one per line, on the lines following the options to 
which they apply.  Use the space key to indent settings at least 1 space.
Do NOT use the tab key in this program (since tabbing moves your 
cursor to the next window).  

Place a carriage return at the end of every line, including 
the last one. If you don't put a return at the end of the last line, 
the line will be ignored. 

Blank lines are not necessary and they are ignored. Precede 
comments with a semicolon. Options and settings are NOT case sensitive. 
ENDUSAGE
ENDTOPIC

STARTOPIC Task Index

STARTUSAGE
Configure drivers for network boards:
            Link Driver option
	    
Adjust Requester settings:
            NetWare Requester option
	    
Adjust message displays:
            Daemon Configuration and DisplayHardErrors options
	    
Enable communication protocols:
            Protocol ODINSUP, Named Pipes, NetWare NetBIOS, or
	    Token-Ring source routing options 
	   
Interoperate with IBM products:
            Link Driver, Link Support, Protocol ODINSUP options
	     
Fine tune performance (These options are not commonly used):
            Link Support, Protocol Stack IPX, Protocol Stack SPX options
ENDUSAGE

ENDTOPIC

STARTOPIC Daemon Configuration

STARTUSAGE
DAEMON CONFIGURATION
   MESSAGE TIMEOUT number
ENDUSAGE

STARTDESCRIPTION
Use this option to control the length of time network-related 
error messages stay on your screen.  This option controls only 
popup and broadcast messages. 

Popup and broadcast messages appear in a small box on your screen 
and they prompt you to "Press <Esc> to continue . . ."
ENDDESCRIPTION
ENDTOPIC

STARTOPIC    message timeout number

STARTEXAMPLE
To prevent popup and broadcast messages from displaying:

daemon configuration
   message timeout 0
ENDEXAMPLE

STARTEXAMPLE
To display popup and broadcast messages on your screen for 
1,000 milliseconds:

daemon configuration
   message timeout 1000
ENDEXAMPLE

STARTUSAGE
MESSAGE TIMEOUT number

Replace "number" with a number of milliseconds that you want popup
and broadcast messages to display on your screen before disappearing.  

Replace "number" with 0 (zero) to prevent popup and broadcast messages
from displaying at all. 

Leave this line out of your NET.CFG to display popup and broadcast 
messages until you press <Esc>. 

Default:  Popup and broadcast messages display until you press <Esc>.
ENDUSAGE

STARTDESCRIPTION
Use this option to control the length of time network-related error 
messages stay on your screen.  This option controls only popup and 
broadcast messages.  

Popup and broadcast messages appear in a small box on your screen 
and they prompt you to "Press <Esc> to continue . . ."
ENDDESCRIPTION
ENDTOPIC

STARTOPIC DisplayHardErrors

STARTEXAMPLE
To prevent hard error messages from displaying:

displayharderrors no
ENDEXAMPLE

STARTUSAGE
DISPLAYHARDERRORS NO

Type DISPLAYHARDERRORS NO to keep error messages from displaying.  
To display error messages, leave this line out of your NET.CFG. 

Default:  Error messages are displayed. 

This option is useful for production sites with unattended workstations.
Be careful about using in other environments as hard error messages 
may be important, since they often cause applications to fail. 
ENDUSAGE

STARTDESCRIPTION
Use this option to keep programs running without interaction 
when a hard error is displayed.  With this option set, hard errors 
are automatically returned to the program that caused them rather 
than displayed to you for further interaction. 

Hard errors display on a full screen (usually black and white) and 
prompt you to choose between several actions. 
ENDDESCRIPTION
ENDTOPIC

STARTTOPIC Link driver

STARTEXAMPLE                                               
To configure an NE2000 board, you might type the following:

link driver ne2000
   dma 5
   frame ethernet_802.2
   int 4
   mem cc000 3000
ENDEXAMPLE

STARTUSAGE
LINK DRIVER name
   DMA [index] channel
   FRAME name
   INT [index] irq
   MEM [index] starting_address size
   NODE ADDRESS number
   PORT [index] starting_port number
   PROTOCOL name id frame
   SLOT ?
   SLOT number

Replace "name" with the name of the LAN driver whose defaults you
want to modify. Default: none. Some possible driver names:

PCN2 for IBM PC Network board II and II/A (older Novell frame format)
PCN2L for IBM PC Network board II and II/A (newer IBM frame format for
   IBM PCN2 bridges)
Note: PCN2 and PCN2L drivers cannot be used in the same workstation. 

NE2 for Novell Ethernet NE/2
NE2-32 for Novell Ethernet NE/2-32
NE1000 for Novell Ethernet NE1000
NE2000 for Novell Ethernet NE2000
NE2100 for Novell Thernet NE2100

TOKEN for IBM Token-Ring PC

CMGRLAN for IBM PC

ODINSUP IBM Token-Ring and Ethernet Communications Manager board

3C501 for 3Com EtherLink series 501
3C503 for 3Com EtherLink series 503
3C505 for 3Com EtherLink series 505
3C523 for 3Com EtherLink/MC 3C523
ENDUSAGE

STARTDESCRIPTION
Use this option to specify hardware configuration of the 
ODI drivers that go with each network board in your workstation.

Use this option only if the network boards in the workstation
are not using the defaults.  The settings you specify with 
this option should match the hardware settings for the boards. 

Put this option in your NET.CFG file for each network board
in your workstation. 
ENDDESCRIPTION
ENDTOPIC

STARTTOPIC     DMA

STARTEXAMPLE
To set the DMA channel for a 3C505 board:

link driver 3c505
   dma 7
ENDEXAMPLE

STARTUSAGE
DMA [index] channel

Replace "channel" with the number of the DMA channel used 
by the board. Default: Set by the driver. See documentation
for the board. 

(Optional) Replace INDEX with either #1 or #2. The driver 
configuration table for each network board can store the DMA 
channel number on either of two lines. The lines are labeled 
#1 and #2. Default: #1. Most boards use this default.

You can't change the DMA setting on 3C503 boards, and you
don't need to change it on 3C505 boards. You can change DMA
on 3C523 boards.
ENDUSAGE

STARTDESCRIPTION
Use the DMA setting to specify which direct memory access
(DMA) channel the network interface board uses. 
ENDDESCRIPTION
ENDTOPIC


STARTTOPIC     frame

STARTEXAMPLE
To specify the Ethernet_802.2 media type for an NE2000 board:

link driver ne2000
   frame ethernet_802.2
ENDEXAMPLE

STARTEXAMPLE
To specify the Ethernet_802.2 and Ethernet_802.3 media types
for an NE1000 board (for two logical networks):

link driver ne1000
   frame ethernet_802.2
   frame ethernet_802.3
ENDEXAMPLE

STARTUSAGE
FRAME name

Replace "name" with a frame type. Default: Set by the driver . 
See the documentation 
for the board.

The frame type transmitted by the workstation should match 
the type of packets transmitted by your network servers.
Some possible frame types:

Frame type ETHERNET_802.3 works for NE1000, NE2000, 
     NE2100, NE2, NE2-32, 3C501, 3C503, 3C505, 3C523, 
     EXOS205, EXOS215, CMGRLAN

Frame type ETHERNET_802.2 works for NE1000, NE2000, 
     NE2100, NE2, NE2-32, 3C501, 3C503, EXOS205, 
     EXOS215, CMGRLAN 

Frame type ETHERNET_II works for NE1000, NE2000, NE2100,
     NE2, NE2-32, 3C501, 3C503, 3C505, 3C523, EXOS205, 
     EXOS215, CMGRLAN

Frame type ETHERNET_SNAP works for NE1000, NE2000, NE2100, 
     NE2, NE2-32, 3C501, 3C503, EXOS205, EXOS215, CMGRLAN

Frame type TOKEN-RING works with CMGRLAN and TOKEN

Frame type TOKEN-RING_SNAP works with CMGRLAN and TOKEN

Frame type IBM_PCN2_802.2 works with PCN2, PCN2l, and 
     CMGRLAN

Frame type NOVELL_TRX-NET works with TRXNET and TRXNET2

Previous versions of the Requester required you to type
"envelope type" instead of frame type. "Envelope type" is
still acceptable.

For more information about using the ODINSUP driver or using
logical networks on a single physical network, select  the 
"Usage" button again.
ENDUSAGE

STARTUSAGE
If  you are using ODINSUP, you must enable multiple frame types for
each driver. For Ethernet, enable Ethernet_802.3, Ethernet_II, 
Ethernet_802.2, and Ethernet_SNAP. For Token-Ring, enable 
Token-Ring and Token_Ring_SNAP. 

If you want different networks to use the same physical cabling, 
set up logical networks. Each network must have its own network 
address. To set up logicl networks, specify more than one frame 
type statement for a single driver.  

For example, you can specify than an Ethernet NE2000 board 
can use both Ethernet_802.2 and Ethernet_802.3 frame types.  
802.2 is the type of communication on one network, and 802.3 is 
the type sent on the other network.  If the networks do not 
used different frame types, you must used different network boards. 

You can use up to four frame types for one set of Ethernet cabling. 
You can use either four network boards, each with one frame type 
defined, or you can use one network board with four frames defined, 
or any similar combination.  For Token-Ring cabling, two frame 
types are the maximum allowed. 
ENDUSAGE

STARTDESCRIPTION
Use this setting to specify which frame type the driver
for your network board uses. Use this setting only for boards
that support more than one frame type or if you want multiple
networks (separate network addresses) to share the same
physical network board and cabling. 

If you are using a PS/2 computer on a Token-Ring network, 
do not auto-configure with the reference diskette. 
Doing so may cause problems.
ENDDESCRIPTION
ENDTOPIC


STARTTOPIC     INT

STARTEXAMPLE
To set the interrupt line for an NE2000 board:

link driver ne2000
   int 4
ENDEXAMPLE

STARTUSAGE
INT [index] irq

Replace "irq" with the number of the interrupt line used by 
the board. Default: Set by the driver. See the documentation
for the board. 

Before changing the interrupt setting for your board, be sure 
you know what interrupt settings are used on the other hardware 
you're using.  For example, interrupts 2 and 9 are usually 
for monitors, so don't use those numbers.  Interrupts 3, 5, 
and 7 are usually good for network boards. 

(Optional) Replace "index" with either #1 or #2. The driver 
configuration table for each network board can store the 
interrupt line number on either of two lines. The lines 
are labeled #1 and #2. 

Default: #1. This default works for most boards. 
ENDUSAGE

STARTDESCRIPTION
Use this setting to specify which interrupt line the network 
board uses to communicate with the driver. 
ENDDESCRIPTION
ENDTOPIC


STARTTOPIC     mem 

STARTEXAMPLE
To set the memory range for a Token-Ring board:

link driver token
   mem cc000 200
ENDEXAMPLE

STARTUSAGE
MEM [index] starting_address size

Replace "starting_address" with a hexadecimal memory address 
that begins the range.  This address must be 5 digits, and it must 
be the same as the address designated for the board by the 
manufacturer or set with the NODE ADDRESS setting.  

Be sure to assign each board a unique memory range that is 
not used by other hardware (VGA monitors commonly use 
C6FFF and XVGA monitors commonly use CFFFF).
Default: Set by the driver. See the documentation for the board.

(Optional) Replace "size" with a hexadecimal number of paragraphs
in a memory range. Default: Set by the driver. See the documentation 
for the board.

(Optional) Replace "index" with either #1 or #2. The driver 
configuration table for each network board can store the 
memory range on either of two lines. The lines are labeled 
#1 and #2. Default: #1. This default works for most boards.
ENDUSAGE

STARTDESCRIPTION
Use this setting to specify what range of memory can be used
by the driver.
ENDDESCRIPTION
ENDTOPIC


STARTTOPIC     NODE ADDRESS

STARTEXAMPLE
To change the address for a board that uses the ODINSUP driver:
	
link driver odinsup
   node address 02608c861759
ENDEXAMPLE

STARTUSAGE
NODE ADDRESS number

Replace "number" with a hexadecimal address.  You can specify 
the address with either the least significant bit first 
(lsb format) or the most significant bit first (msb format). 

You may want to change the node address of a board so you can 
more easily note when that board is used on the network. 
Default: The address printed on the board. 
ENDUSAGE

STARTDESCRIPTION
Use this setting to change the node address of a network board. 
This setting can only be used with network boards that 
allow you to override the pre set address. 
ENDDESCRIPTION
ENDTOPIC


STARTTOPIC     port

STARTEXAMPLE
To set the memory range for an NE2000 board:

link driver ne2000
   port 300 32
ENDEXAMPLE

STARTUSAGE
PORT [index] starting_port number

Replace "starting_port" with a hexadecimal number that begins
the range of I/O ports the network board uses.  We suggest 
not using 2EO and 2FO, since these numbers are normally used 
by ARCnet for other functions.  Default: Set by the driver. 
See the documentation for the board.

(Optional) Replace "number" with the hexadecimal number of 
ports in the range. Default: Set by the driver. See 
the documentation for the board. 

(Optional) Replace "index" with either #1 or #2. The driver 
configuration table for each network board can store 
information about ports on either of two lines. The 
lines are labeled #1 and #2. Default: #1. This default 
works for most boards.
ENDUSAGE

STARTDESCRIPTION
Use this setting to specify which range of I/O ports the 
network board uses.
ENDDESCRIPTION
ENDTOPIC


STARTTOPIC     protocol

STARTEXAMPLE

To specify the ARP protocol for an Ethernet II frame:

link driver ne2000
   protocol arp 806 ethernet_ii
ENDEXAMPLE

STARTUSAGE
PROTOCOL name ID frame

Replace "name" with the acronym of an ODI-compliant protocol. Some 
common protocols are: ARP, IP, IPX (the NetWare protocol), and 
RARP.  Default: IPX

Replace "ID" with the hexadecimal number of the protocol that 
goes with the frame type you specify.  Default: 0

Replace "frame" with the name of the frame type used with 
the protocol.  Default: Ethernet_802.3.  Some common protocols with 
the frame types and hexadecimal numbers they support are listed below:

IPX protocol
--------------
Ethernet_802.3 with a hexadecimal number of "0"
Ethernet _802.2 with a hexadecimal number of "e0"
Token-Ring with a hexadecimal number of "e0"
IBM_pcn2_802.2 with a hexadecimal number of "e0"
Ethernet_II with a hexadecimal number of "8137"
Ethernet_SNAP with a hexadecimal number of "8137"
Token-Ring_SNAP with a hexadecimal number of "8137"
IBM_pcn2_SNAP with a hexadecimal number of "8137"
Novell_trx-net with a hexadecimal number of "fa"

IP protocol
-------------
Ethernet_II with a hexadecimal number of "800"
Ethernet_SNAP with a hexadecimal number of "800"
Token-Ring_SNAP with a hexadecimal number of "800"
Novell_trx-net with a hexadecimal number of "d4"

ARP protocol
---------------
Ethernet_II with a hexadecimal number of "806"
Ethernet_SNAP with a hexadecimal number of "806"
Token-Ring_SNAP with a hexadecimal number of "806"
Novell_trx-net with a hexadecimal number of "d5"

RARP protocol
-----------------
Ethernet_II with a hexadecimal number of "8035"
Ethernet_SNAP with a hexadecimal number of "8035"
Token-Ring_SNAP with a hexadecimal number of "8035"
Novell_trx-net with a hexadecimal number of "d6"
ENDUSAGE

STARTDESCRIPTION
Use this setting to allow drivers to use ODI-compliant protocols 
that have different frame types. 
ENDDESCRIPTION
ENDTOPIC


STARTTOPIC     slot ?

STARTEXAMPLE
To scan the slots for a Novell Ethernet NE/2 board:

	link driver ne2
	    slot ?
ENDEXAMPLE

STARTUSAGE
SLOT ?

Type SLOT ?.  Previous versions of the Requester required you to type  
"PS/2 SLOT ?". This is still acceptable. Default: SLOT ?
ENDUSAGE

STARTDESCRIPTION
When you only have one board of the type specified in the Link 
Driver "name" parameter, the Requester can scan the expansion 
slots in the workstation until it finds the correct board.  

Use this SLOT ? setting when each EISA or Micro Channel board 
uses a unique type of driver. EISA and Micro Channel boards 
are usually self-configuring, meaning that the Requester can 
obtain all Link Driver information from the board itself.  

Note: If you have more than one EISA or Micro Channel board 
sharing the same driver, you cannot use this setting.  Use the SLOT 
(without a question mark) instead. 
ENDDESCRIPTION
ENDTOPIC


STARTTOPIC     slot

STARTEXAMPLE
To automatically configure the drivers for an NE/2 board 
in slot 4 and an NE/2 board in slot 2:

link driver ne2
   slot 4
link driver ne2
   slot 2
   
The slot setting is the only Link Driver setting you need to 
specify in this case. 
ENDEXAMPLE

STARTUSAGE
SLOT number

Replace "number" with a slot number. Previous versions of the 
Requester required you to type "PS/2 SLOT number". That is 
still acceptable. Default: SLOT ?
ENDUSAGE

STARTDESCRIPTION
Use this setting to tell the Requester which expansion slot 
an EISA or Micro Channel board is using. Use this setting when 
you have more than one EISA or Micro Channel board sharing the 
same driver.  

EISA and Micro Channel boards are usually self-configuring, meaning 
that the Requester can obtain all Link Driver information from 
the board itself. You just have to tell the Requester which slot 
the board is using.  

Note: When you have only one board of the type specified in the 
Link Driver "name" parameter, use the SLOT ? setting instead. 
ENDDESCRIPTION
ENDTOPIC


STARTTOPIC Link support

STARTUSAGE
LINK SUPPORT
   BUFFERS number [buffer_size]
ENDUSAGE

STARTDESCRIPTION
Use this option to adjust the number and size of communication 
buffers used by the Requester. 
ENDDESCRIPTION
ENDTOPIC


STARTTOPIC     buffers

STARTEXAMPLE
For an Ethernet configuration:

link support
   buffers 15 2800
ENDEXAMPLE
   
STARTEXAMPLE
For a Token-Ring configuration:

link support
   buffers 14 4210
ENDEXAMPLE

STARTUSAGE
BUFFERS number [buffer_size]

Replace "number" with a number of buffers greater than one.  
Default: 20 buffers. 

Replace "buffer_size" with a number of bytes greater than 576. 
Default: 1514 bytes. 

The Requester cannot use more than 64 KB of memory for 
communication buffers. Header information takes 5 KB.  
This means that the buffer number multiplied by the buffer 
size (plus the header information) must be less than or equal 
to 65,536 bytes. For example, 20 buffers multiplied by 1514 bytes 
equals 30,280 bytes. 

The Link Support buffer size should be the same size as the 
packets your workstation will receive over the network.  You may 
want to set this buffer size equal to the largest buffer size 
that the network boards in your workstation will support. 

Any packet transmitted over a router is limited to a size of 
576 bytes.  If you are transmitting over routers, set the Link 
Support buffer size to 576.  If your workstation has performance 
problems running with the TRXNET.SYS driver, you may need to set 
your buffers to the following values:

link support
   buffers 15 4202

For more information about changing this setting if you're 
using the ODINSUP or LANSUP drivers, select the "Usage" button again. 
ENDUSAGE

STARTUSAGE
If you use ODINSUP with Ethernet or with Token-Ring boards that 
support frame sizes up to 2 KB, the default number and size are adequate.  

If you use ODINSUP with Token-Ring boards that support frame sizes 
up to 4 KB, you must increase the buffer size to 4210.

If you use the ODINSUP or LANSUP drivers, the transmit buffer 
in IBM Communications Manager must be set to 6 bytes larger than 
the Link Support buffer size you specify with this setting. 
ENDUSAGE

STARTDESCRIPTION
Use this setting to specify the number and size of communication 
buffers the Requester can use. 

You may want to increase the number of buffers if you are 
running Named Pipes, if you have numerous SPX connections, or if 
you have heavy network traffic.  If you get the message "LSL 
out of resources," increase the number of buffers. Otherwise, this 
option is not commonly used. 
ENDDESCRIPTION
ENDTOPIC

STARTTOPIC Protocol stack IPX

STARTUSAGE
PROTOCOL STACK IPX
   BIND name
   ROUTER MEM size
   SOCKETS number
ENDUSAGE

STARTDESCRIPTION
Use this option to adjust IPX communication between applications 
and the ODI drivers in your workstation. 

Unless you have a particularly unique and complex network setup, 
you will probably never need to use this option. The defaults have 
already been set to produce maximum performance in almost all cases. 
ENDDESCRIPTION
ENDTOPIC


STARTTOPIC     bind

STARTEXAMPLE
To specify a 3Com 3C503 board as primary:

protocol stack ipx
   bind 3c503
ENDEXAMPLE

STARTUSAGE
BIND name

Replace "name" with the driver name for your network board. 
Default: The first ODI driver listed in the CONFIG.SYS file. 
Some common names are:

NE2 for Novell Ethernet NE/2
NE2-32 for Novell Ethernet NE/2-32

NE1000 for Novell Ethernet NE1000
NE2000 for Novell Ethernet NE2000
NE2100 for Novell Ethernet NE2100

TOKEN for IBM Token-Ring PC board

CMGRLAN for IBM boards

ODINSUP for IBM Token-Ring and Ethernet Com. Manager board

3C501 for 3Com EtherLink series 501
3C503 for 3Com EtherLink series 503
3C505 for 3Com EtherLink series 505
3C523 for 3Com EtherLink/MC series 523

PCN2 for IBM PC Network board II and II/A (older Novell frame format)
PCN2L for IBM PC Network board II and II/A (newer Novell frame format)
ENDUSAGE

STARTDESCRIPTION
Use this setting to specify which network board is the primary 
network board in your workstation.  By default, the primary 
board is the board whose driver loads first in the CONFIG.SYS. 
If you specify a different board with this setting, that default 
is changed. 

Use this setting only if you have multiple boards in your workstation. 
Install multiple boards in your machine only if

- your workstation is connected to two physically distinct networks, or

- you have define multiple logical networks that use the same cabling. 
(To define logical networks, see the Link Driver "Frame" setting.) 

For more information about using multiple boards in your machine, 
select the "Description" button again. 
ENDDESCRIPTION

STARTDESCRIPTION
When the workstation boots, the IPX protocol binds to all network 
boards in a workstation.  Then when IPX needs to communicate with a 
new destination on the network, it queries the network for possible 
routes to that destination. 

IPX first uses the primary board (identified from the CONFIG.SYS 
or from this setting) to send out the query.  If a possible route 
to the destination is returned from the network through the primary 
board, that route is stored. 

IPX then queries for a route using the next board in the machine.  
If a possible route is returned from the next board, IPX compares it 
with the route returned by the first board.  The better of the 
two routes is stored, and the other route is discarded. 

IPX continuies to query in this manner until a query has been sent 
on each netowrk board and the best possible route has been located. 
Then IPX sends packets over the best route. 

This querying only occurs

- the first time IPX makes a communication connection with a destination, 
- and, whenever a connection is broken. 

Once IPX has identified how to access a destination, it continues 
using the same network board until it needs to send to a new 
destination, at which time the querying process is repeated. 

NOTE: The NetWare Requester is not a router. It does not receive 
IPX packets and then route those packets to other destinations or 
networks. 
ENDDESCRIPTION
ENDTOPIC


STARTTOPIC     router
 mem

STARTEXAMPLE
To decrease the default:

protocol stack ipx 
   router mem 400
ENDEXAMPLE

STARTUSAGE
ROUTER MEM size

Replace "size" with a number of bytes.  Default: 450 bytes. 
This default accomodates up to 15 network boards, so you should not 
need to increase it. 
ENDUSAGE

STARTDESCRIPTION
Use this setting to specify how many bytes in the router
memory pool are allocated for routing requests to the network. 
ENDDESCRIPTION
ENDTOPIC


STARTTOPIC     sockets

STARTEXAMPLE
To increase the socket limit for a workstation connected to 
several servers, and running Named Pipes and applications that 
require sockets:

protocol stack ipx
   sockets 128
ENDEXAMPLE

STARTUSAGE
SOCKETS number

Replace "number" with a number of sockets between 9 and 128. 
If you are running IPX with the Requester, do not set this value 
below 32.  Default: 32 sockets. 

You need 3 sockets per server connection. The default of 32 
works for the default number of server connections (see the 
NetWare Requester "sessions" setting). 

Allow more sockets if your workstation connects to many different 
servers or runs protocols (such as Named Pipes) that require sockets. 
ENDUSAGE

STARTDESCRIPTION
Use this setting to specify how many sockets IPX can open 
at your workstation.
ENDDESCRIPTION
ENDTOPIC

STARTTOPIC Protocol stack SPX


STARTUSAGE
PROTOCOL STACK SPX
    ABORT TIMEOUT number
    LISTEN TIMEOUT number
    RETRY COUNT number
    SEND TIMEOUT number
    SESSIONS number
    VERIFY TIMEOUT number
ENDUSAGE

STARTDESCRIPTION
Use this option to adjust the number and characteristics of 
SPX connections between your workstation and other computers. 
ENDDESCRIPTION
ENDTOPIC


STARTTOPIC     abort timeout

STARTEXAMPLE
To make SPX wait longer before terminating the session:

protocol stack spx
   abort timeout 40000
ENDEXAMPLE

STARTUSAGE
ABORT TIMEOUT number

Replace "number" with a number of milliseconds from 10 to 65,535.  
The ABORT TIMEOUT value must be 10 times greater than the VERIFY 
TIMEOUT value.  Default: 30,000 milliseconds. 

NOTE: If you change the ABORT TIMEOUT value, you must also 
change the LISTEN TIMEOUT and VERIFY TIMEOUT values.  
These ratio between these three settings must be maintained.  
 
On a Named Pipes Server, double all three values. 
ENDUSAGE

STARTDESCRIPTION
Use this setting with LISTEN TIMEOUT and VERIFY TIMEOUT to 
monitor and control SPX connections. 

When SPX sessions at a sending computer do not receive 
transmissions from the receiving computer for the length of the 
VERIFY TIMEOUT interval, SPX sends a keep-connection-alive 
packet to the receiving computer. 

SPX then waits the length of the LISTEN TIMEOUT interval 
to receive a response. If no response is received, SPX sends 
another packet requesting immediate acknowledgment. 

SPX then waits the length of the ABORT TIMEOUT interval 
to receive a response. If no response is received, SPX terminates 
the session. 
ENDDESCRIPTION
ENDTOPIC


STARTTOPIC     listen timeout

STARTEXAMPLE
To make SPX wait longer before sending the packet requesting 
immediate response:

protocol stack spx
   listen timeout 8000
ENDEXAMPLE

STARTUSAGE
LISTEN TIMEOUT number

Replace "number" with a number of milliseconds from 10 to 65,535.  
The LISTEN TIMEOUT value must be double the VERIFY TIMEOUT value.  
Default: 6,000 milliseconds. 

NOTE: If you change the LISTEN TIMEOUT value, you must 
also change the ABORT TIMEOUT and VERIFY TIMEOUT values.  
The ratio between these three settings must be maintained.  
 
On a Named Pipes Server, double all three values.
ENDUSAGE

STARTDESCRIPTION
Use this setting with ABORT TIMEOUT and VERIFY TIMEOUT to monitor 
and control SPX connections. 

When SPX sessions at a sending computer do not receive 
transmissions from the receiving computer for the length of the 
VERIFY TIMEOUT interval, SPX sends a keep-connection-alive 
packet to the receiving computer. 

SPX then waits the length of the LISTEN TIMEOUT interval to 
receive a response. If no response is received, SPX sends another 
packet requesting immediate acknowledgment. 

SPX then waits the length of the ABORT TIMEOUT interval to 
receive a response. If no response is received, SPX terminates 
the session. 
ENDDESCRIPTION
ENDTOPIC


STARTTOPIC     verify timeout

STARTEXAMPLE
To make SPX wait longer before sending a keep-connection-alive packet:

protocol stack spx
   abort timeout 4000
ENDEXAMPLE

STARTUSAGE
VERIFY TIMEOUT number

Replace "number" with a number of milliseconds from 10 to 65,535.  
The VERIFY TIMEOUT value must be 10 times less than the 
ABORT TIMEOUT value, and half of the LISTEN TIMEOUT value.  

Default: 3,000 milliseconds. 

NOTE: If you change the VERIFY TIMEOUT value, you must also 
change the ABORT TIMEOUT and LISTEN TIMEOUT values.  These 
ratio between these three settings must be maintained.  

On a Named Pipes Server, double all three values.
ENDUSAGE

STARTDESCRIPTION
Use this setting with ABORT TIMEOUT and LISTEN TIMEOUT to monitor 
and control SPX connections. 

When SPX sessions at a sending computer do not receive transmissions 
from the receiving computer for the length of the VERIFY TIMEOUT 
interval, SPX sends a keep-connection-alive packet to the receiving 
computer. 

SPX then waits the length of the LISTEN TIMEOUT interval 
to receive a response. If no response is received, SPX sends 
another packet requesting immediate acknowledgment. 

SPX then waits the length of the ABORT TIMEOUT interval to 
receive a response. If no response is received, SPX terminates 
the session. 
ENDDESCRIPTION
ENDTOPIC


STARTTOPIC     retry count


STARTEXAMPLE
To increase the number of times SPX packets are resent:

protocol stack spx
   retry count 30
ENDEXAMPLE

STARTUSAGE
RETRY COUNT number

Replace "number" with a number of retries from 1 to 255. 
Default: 20 retries. 

If your network traffic is  heavy or if you are transmitting across 
routers, you may want to increase the default. 

NOTE: Some applications may set the RETRY COUNT value.  
In these cases, the application-set value is used and the 
NET.CFG value is ignored. 
ENDUSAGE

STARTDESCRIPTION
Use this setting to specify the number of times your workstation 
will resend packets that weren't acknowledged by the receiving computer 
the first time they were sent. 
ENDDESCRIPTION
ENDTOPIC


STARTTOPIC     send timeout

STARTEXAMPLE
To increase the wait between attempts to resend an SPX packet:

protocol stack spx
   send timeout 5600
ENDEXAMPLE

STARTUSAGE
SEND TIMEOUT number

Replace "number" with a number of milliseconds from 500 to 65,535. 
Default: SPX's automatic calculation for the time it takes to reach 
the server.  

The default works well in almost all cases.  Increase the default if 
you are using network management products with a very large network and 
you encounter many SPX connection errors. 

You may also want to increase the default for a Named Pipes client that 
is operating faster than the Named Pipes server to which it is connected. 
ENDUSAGE

STARTDESCRIPTION
Use this setting to specify how long SPX waits between attempts to 
send packets across the network.  
ENDDESCRIPTION
ENDTOPIC


STARTTOPIC     sessions

STARTEXAMPLE
To increase the number of SPX sessions:

protocol stack spx
   sessions 64
ENDEXAMPLE

STARTUSAGE
SESSIONS number

Replace "number" with a number greater than 8.  1,000 is the practical 
upper limit.   Default: 16 sessions. 

If you run Named Pipes applications or other applications that use 
SPX, you may need to increase the default number of sessions. 
ENDUSAGE

STARTDESCRIPTION
Use this setting to specify how many SPX connections can be 
open simultaneously. 
ENDDESCRIPTION
ENDTOPIC

STARTOPIC Protocol ODINSUP

STARTUSAGE
PROTOCOL ODINSUP
   BIND driver [number]
ENDUSAGE

STARTDESCRIPTION
Use this option to allow the NDIS protocol stack used with Extended 
Services and LAN Services to send packets on the network using 
ODI Token-Ring or Ethernet drivers. 

To use NetWare Requester with IBM Extended Services or LAN Services, 
you must use this option.  For more information on IBM interoperability, 
see the NetWare Requester for OS/2 User Manual. 
ENDDESCRIPTION
ENDTOPIC

STARTOPIC     bind

STARTEXAMPLE
To bind ODINSUP to a single NE2000 board in your workstation:

protocol odinsup
    bind ne2000
ENDEXAMPLE

STARTEXAMPLE
To bind ODINSUP to both the first and second NE2000 boards in 
your workstation:

protocol odinsup
   bind ne2000
   bind ne2000 2
ENDEXAMPLE

STARTUSAGE
BIND driver [number]

Replace "driver" with a Token-Ring or Ethernet ODI-compliant driver name.
ODINSUP can be bound to a maximum of four ODI drivers.  

Default: ODINSUP binds to the first Ethernet or Token-Ring board it 
locates.

Include a separate bind setting under the Protocol ODINSUP line for 
every NDIS MAC driver used by Extended Services or LAN Services before 
you installed the NetWare Requester. 

(Optional) Replace "number" with a number from 1 to 4.  Default: 1

This value binds ODINSUP to a particular occurrence of a board when 
you have two boards with the same name.  For example, if you have 
two NE2000 network boards in your workstation, bind ODINSUP to each 
board by typing a 2 for the second board. 
ENDUSAGE

STARTDESCRIPTION
Use this setting to bind the ODINSUP protocol to an ODI driver. 
When ODINSUP is bound to a driver, the network board for that driver 
is the board used for transmissions to and from the network. 
ENDDESCRIPTION
ENDTOPIC

STARTTOPIC NetWare Requester

STARTUSAGE
NETWARE REQUESTER
    CACHE BUFFERS number
    NONDED SERVER
    PREFERRED server_name
    REQUEST RETRIES number
    SESSIONS number
ENDUSAGE

STARTDESCRIPTION
Use this option to control network requests from your workstation 
to a NetWare server.
ENDDESCRIPTION
ENDTOPIC

STARTTOPIC     cache buffers

STARTEXAMPLE
To allow 15 cache buffers:

netware requester
   cache buffers 15
ENDEXAMPLE

STARTUSAGE
CACHE BUFFERS number

Replace "number" with a number from 0 to 30. To turn off caching, 
specify 0.  Default: 8 buffers.

The Requester automatically uses the maximum buffer size permitted 
by each server to which the Requester is connected.  However, the 
Requester cannot use more than 64 KB of total memory for cache buffers, 
so if the buffer size is large, you may not be allowed as many buffers 
as you specify. 
ENDUSAGE

STARTDESCRIPTION
Use this setting to specify how many buffers the Requester 
can use to cache data from open files. 

Cache buffers minimize read and write traffic on the network. The 
more buffers, the faster the Requester performs; however, more buffers 
use up more memory. 
ENDDESCRIPTION
ENDTOPIC

STARTTOPIC     nonded server

STARTEXAMPLE
To allow the NetWare Requester and NetWare for OS/2 to use the
same network board:

netware requester
   nonded server
ENDEXAMPLE

STARTUSAGE
NONDED SERVER

Type NONDED SERVER

If you use the setting, the LANSHARE.SYS driver must be loaded.

Default:  NetWare Requester and NetWare for OS/2 use separate
network boards and LANSHARE.SYS is not loaded.
ENDUSAGE

STARTDESCRIPTION
Use this setting to allow the NetWare Requester for OS/2 and NetWare
for OS/2 to use the same network board.  

If you specify this option, NetWare for OS/2 must be started 
before the NetWare Requester or else the NetWare Requester 
displays a connection error. 
ENDDESCRIPTION

ENDTOPIC

STARTTOPIC     preferred

STARTEXAMPLE
To attach to server FINANCE:

netware requester
   preferred finance
ENDEXAMPLE

STARTUSAGE
PREFERRED servername

Replace "servername" with the name of a NetWare server. 
Default: none.
ENDUSAGE

STARTDESCRIPTION
Use this setting to specify which file server you want your 
workstation to attach to when it first accesses the network. 
ENDDESCRIPTION
ENDTOPIC

STARTTOPIC     request retries

STARTEXAMPLE
To decrease the number of times the Requester tries to resend:

netware requester
   request retries 10
ENDEXAMPLE

STARTUSAGE
REQUEST RETRIES number

Replace "number" with a number greater than 5.  Default: 20

Decrease this default if you are connected to the network over a 
modem and you do not want to waste phone time while the Requester 
keeps trying to resend packets. 
ENDUSAGE

STARTDESCRIPTION
Use this setting to specify how many times the Requester tries to 
resend a request following a communication error. 
ENDDESCRIPTION
ENDTOPIC


STARTTOPIC     sessions

STARTEXAMPLE
To increase the number of server connections:

netware requester
   sessions 20
   
You must also increase the  Protocol Stack IPX "sockets" setting in 
this case. 
ENDEXAMPLE

STARTUSAGE
SESSIONS number

Replace "number" with a number from 8 to 20.  Default: 8 sessions

You must have at least 3 IPX sockets for each session you allow.  
See the Protocol Stack IPX "sockets" setting. 
ENDUSAGE

STARTDESCRIPTION
Use this setting to specify the number of connections the Requester 
can have to all NetWare servers. 
ENDDESCRIPTION
ENDTOPIC

STARTTOPIC NetWare NetBIOS


STARTUSAGE
NETWARE NETBIOS
    ABORT TIMEOUT number
    BROADCAST COUNT number
    BROADCAST DELAY number
    COMMANDS number
    INTERNET [ON|OFF]
    LISTEN TIMEOUT number
    NAMES number
    RETRY COUNT number
    RETRY DELAY number
    SESSIONS number
    VERIFY TIMEOUT number
ENDUSAGE

STARTDESCRIPTION
Use this option to manage Novell NetBIOS names and sessions or 
to affect the internal memory allocation for NetBIOS. 
ENDDESCRIPTION
ENDTOPIC

STARTTOPIC     abort timeout

STARTEXAMPLE
To make NetBIOS wait longer before terminating the session:

netware netbios
   abort timeout 40000
ENDEXAMPLE

STARTUSAGE
ABORT TIMEOUT number

Replace "number" with a number of milliseconds greater than 500. 
Default: 30,000 milliseconds

If you change this setting, you must also change the "listen timeout" 
and "verify timeout" settings.  The ratio between these three settings 
must remain the same. 

For example, if you double the "abort timout" value, you also 
double the "listen timeout" and "verify timeout" values. 
ENDUSAGE

STARTDESCRIPTION
Use this setting with "listen timeout" and "verify timeout" to 
monitor and control your NetBIOS connections.  

When NetBIOS sessions at a sending computer do not receive any 
transmissions from the receiving computer for the length of the 
"verify timeout" interval, NetBIOS sends a request-for-acknowledgement 
packet to the receiving computer.  

NetBIOS then waits the length of the "listen timeout" interval to 
receive a response.  If no response is received, NetBIOS sends 
another packet requesting immediate response. 

NetBIOS then waits the length of the "abort timeout" interval to 
receive a response. 
ENDDESCRIPTION
ENDTOPIC


STARTTOPIC     broadcast count

STARTEXAMPLE
To broadcast more often:

netware netbios
   broadcast count 8
ENDEXAMPLE

STARTUSAGE
BROADCAST COUNT number

Replace "number" with a number greater than 1.  
Default with internet on: 4 times
Default with internet off: 2 times
ENDUSAGE

STARTDESCRIPTION
Use this setting to specify how many times NetBIOS broadcasts a 
query or claim for the name being used by an application.
ENDDESCRIPTION
ENDTOPIC

STARTTOPIC     broadcast delay

STARTEXAMPLE
To wait longer between broadcasts:

netware netbios
   broadcast delay 3000
ENDEXAMPLE

STARTUSAGE
BROADCAST DELAY number

Replace "number" with a number of milliseconds greater than 100. 
Default with internet on: 2,000
Default with internet off: 1,000
ENDUSAGE

STARTDESCRIPTION
Use this setting to specify how long NetBIOS waits between 
query or claim broadcasts. 
ENDDESCRIPTION
ENDTOPIC

STARTTOPIC     commands

STARTEXAMPLE
To run an application that requires a large number of outstanding 
commands:

netware netbios
   commands 25
ENDEXAMPLE

STARTUSAGE
COMMANDS number

Replace "number" with a number from 4 to 128.  Default: 12 commands.
ENDUSAGE

STARTDESCRIPTION
Use this setting to specify how many NetBIOS commands can 
be waiting for completion in the NetBIOS driver at any one time. 
ENDDESCRIPTION
ENDTOPIC

STARTTOPIC     internet

STARTEXAMPLE
To send and receive on the local network only:

netware netbios
   internet off
ENDEXAMPLE

STARTUSAGE
INTERNET [ON|OFF]

Type INTERNET followed by ON or OFF. Default: ON.
ENDUSAGE

STARTDESCRIPTION
Use this setting to transmit name-claim packets to and from all stations
on the internet, or to and from stations on the local network only.  

Name-claim packets are packets which attempt to establish the 
uniqueness of the name of the station on which NetBIOS is running. 
ENDDESCRIPTION
ENDTOPIC

STARTTOPIC     listen timeout

STARTEXAMPLE
To make NetBIOS wait longer before sending the packet requesting 
immediate response:

netware netbios
   listen timeout 8000
ENDEXAMPLE

STARTUSAGE
LISTEN TIMEOUT number

Replace "number" with a number of milliseconds greater than 200.  
Default: 6,000 milliseconds

If you change this setting, you must also change the "abort timeout" 
and "verify timeout" settings.  The ratio between these three 
settings must remain the same. 

For example, if you double the "listen timout" value, you also 
double the "abort timeout" and "verify timeout" values. 
ENDUSAGE

STARTDESCRIPTION
Use this setting with "abort timeout" and "verify timeout" to 
monitor and control your NetBIOS connections.  

When NetBIOS sessions at a sending computer do not receive any 
transmissions from the receiving computer for the length of the 
"verify timeout" interval, NetBIOS sends a request-for-acknowledgement 
packet to the receiving computer.  

NetBIOS then waits the length of the "listen timeout" interval to 
receive a response.  If no response is received, NetBIOS sends 
another packet requesting immediate response. 

NetBIOS then waits the length of the "abort timeout" interval 
to receive a response. 
ENDDESCRIPTION
ENDTOPIC

STARTTOPIC     names

STARTEXAMPLE
To allow forty five names:

netware netbios
   names 45
ENDEXAMPLE

STARTUSAGE
NAMES number

Replace "number" with a number of names from 4 to 128. 
Default: 26 names.
ENDUSAGE

STARTDESCRIPTION
Use this setting to specify how many names the workstation 
can have in its name table for remote stations. 

When you add a name to a station, the station broadcasts that 
name to all other nodes on the network. You can use a name 
instead of a node address to refer to remote stations. 
ENDDESCRIPTION
ENDTOPIC

STARTTOPIC     retry count

STARTEXAMPLE
To retransmit fifty times:

netware netbios
   retry count 50
ENDEXAMPLE

STARTUSAGE
RETRY COUNT number

Replace "number" with a number greater than 0.  Default: 20 times. 
ENDUSAGE

STARTDESCRIPTION
Use this setting to specify how many times NetBIOS transmits a 
request for connection or retransmits a failed connection. 
ENDDESCRIPTION
ENDTOPIC

STARTTOPIC     retry delay

STARTEXAMPLE
To wait eight hundred milliseconds between retransmission attempts:

netware netbios
   retry delay 800
ENDEXAMPLE

STARTUSAGE
RETRY DELAY number

Replace "number" with a number of milliseconds greater than 0.  
Default: 500 milliseconds. 
ENDUSAGE

STARTDESCRIPTION
Use this setting to specify how many milliseconds NetBIOS waits 
between transmissions while establishing a connection or resending 
a data packet.
ENDDESCRIPTION
ENDTOPIC

STARTTOPIC     sessions

STARTEXAMPLE
To allow one hundred NetBIOS sessions:

netware netbios
   sessions 100
ENDEXAMPLE

STARTUSAGE
SESSIONS number

Replace "number" with a number of sessions from 4 to 128. 

Default: 32 sessions. 
ENDUSAGE

STARTDESCRIPTION
Use this setting to specify how many simultaneous NetBIOS sessions 
can be supported by the NetBIOS driver. 
ENDDESCRIPTION
ENDTOPIC

STARTTOPIC     verify timeout

STARTEXAMPLE
To make NetBIOS wait longer before sending a request-
for-acknowledgement packet:

netware netbios
   verify timeout 4000
ENDEXAMPLE

STARTUSAGE
VERIFY TIMEOUT number

Replace "number" with a number of milliseconds greater than 100.  
Default: 3,000 milliseconds

If you change this setting, you must also change the "abort timeout" 
and "listen timeout" settings. The ratio between these three 
settings must remain the same. 

For example, if you double the "verify timout" value, you also double 
the "abort timeout" and "listen timeout" values. 
ENDUSAGE

STARTDESCRIPTION
Use this setting with "abort timeout" and "listen timeout" to 
monitor and control your NetBIOS connections.  

When NetBIOS sessions at a sending computer do not receive any 
transmissions from the receiving computer for the length of the 
"verify timeout" interval, NetBIOS sends a request-
for-acknowledgement packet to the receiving computer.  

NetBIOS then waits the length of the "listen timeout" interval 
to receive a response. If no response is received, NetBIOS sends 
another packet requesting immediate response. 

NetBIOS then waits the length of the "abort timeout" interval 
to receive a response. 
ENDDESCRIPTION
ENDTOPIC

STARTTOPIC NetWare for OS/2


STARTUSAGE
NETWARE FOR OS/2
    PERFORMANCE TUNING number
    REMOVE SERVER MEMORY
    SERVER MEMORY number
ENDUSAGE

STARTDESCRIPTION
Use this option to set memory and performance features for 
NetWare for OS/2.
ENDDESCRIPTION
ENDTOPIC

STARTTOPIC     performance tuning

STARTEXAMPLE
To allow NetWare for OS/2 and OS/2 v2.0 to run with approximately
equal performance:

netware for os/2
   performance tuning 5
ENDEXAMPLE

STARTUSAGE
PERFORMANCE TUNING number

Replace "number" with a number from 1 to 10.

The higher the number, the more processing time allocated to
NetWare for OS/2 and the faster your NetWare server will run.
Default:  ?? 
ENDUSAGE

STARTDESCRIPTION
Use this setting to specify how much processing time is allocataed
to NetWare for OS/2. Whatever is not allocated to NetWare is left
for OS/2 v2.0.
ENDDESCRIPTION

ENDTOPIC

STARTTOPIC     remove server memory

STARTEXAMPLE
To release server memory upon downing the server:

netware for os/2
   remove server memory
ENDEXAMPLE

STARTUSAGE
REMOVE SERVER MEMORY

Type REMOVE SERVER MEMORY

Default:  Server memory is not released when you down the server.
ENDUSAGE

STARTDESCRIPTION
Use this setting to tell the NetWare server to release the memory
allocated to it. The memory is released when the file server is 
brought down.
ENDDESCRIPTION

ENDTOPIC

STARTTOPIC     server memory

STARTEXAMPLE
To allocate 8 MB of memory for the NetWare for OS/2 server:

netware for os/2 
   server memory 8192
ENDEXAMPLE

STARTUSAGE
SERVER MEMORY number

Replace "number" with a number of kilobytes (KB).

Be sure the number you specify is large enough to run the server,
but small enough to leave adequate memory for OS/2. ___ kilobytes
are the minimum required to run the NetWare server.

If NetWare cannot allocate the amount of memory you specify, 
it will display a warning message and use the highest amount it
can obtain.

Default:  ?? 
ENDUSAGE

STARTDESCRIPTION
Use this setting to allocate memory for the server at boot time
when the PNETWARE.SYS driver initializes. 
ENDDESCRIPTION

ENDTOPIC


STARTTOPIC Token-Ring source routing


STARTUSAGE
PROTOCOL ROUTE
    SOURCE ROUTE [DEF] [GBR] [MBR] NODES n BOARD n
ENDUSAGE

STARTDESCRIPTION
Use this option to configure the Requester for source-routing 
between Token-ring networks that are connected with source-routers. 

Do not use this option if your Token-Ring networks do not use source routing.  Any workstation on the same ring as a Token-Ring source router must use the Token-Ring source-route driver when communicating over the router. 

For more information about installing source routing, choose the 
Description button again. 
ENDDESCRIPTION

STARTDESCRIPTION
For source-routing to work, it must be installed on each workstation.
Type the following line in each CONFIG.SYS file, replacing 
"drive" with the letter of your boot drive:

DEVICE=drive:\NETWARE\ROUTE.SYS

Note: If you installed the Requester files in a location other 
than \NETWARE, use that location instead. 

This line should be typed after the ODI driver line and before 
the protocol (IPX) line.  

The source-route driver must also be installed on all 
servers that will be accessed by workstations using source routers.  
Ring numbers must be unique, but all servers connected through 
source-routers may use the same network address. 
ENDDESCRIPTION
ENDTOPIC

STARTTOPIC     def

STARTEXAMPLE
To broadcast on all routes:

protocol route
   source route def
ENDEXAMPLE

STARTUSAGE
DEF

Type DEF to broadcast on all routes. Omit DEF to broadcast on a 
single route only.  Default:  single route broadcast (DEF is omitted). 

Change the default when you are unsure of the stability of one or 
more routes in the network. Using DEF will substantially increase 
network traffic, especially on large, redundant ring networks. 
ENDUSAGE

STARTDESCRIPTION
Use this setting (default frame) to specify whether frames 
with unknow destination addresses are broadcast simultaneously 
on all possible routes. 
ENDDESCRIPTION
ENDTOPIC

STARTTOPIC     gbr

STARTEXAMPLE
To broadcast to all destinations, on all rings, by all routes:

protocol route
   source route gbr
ENDEXAMPLE

STARTUSAGE
GBR

Type GBR to broadcast to all destinations, on all rings, by all routes.  
Omit GBR to broadcast to all destinations, on all rings, by a single route. 
Default: Single route broadcast (GBR is omitted).

Change this default when you want to ensure successful transmission 
across all possible routes. 
ENDUSAGE

STARTDESCRIPTION
Use this setting (general broadcast) to specify whether broadcast 
frames are sent simultaneously to all possible destinations, on all rings 
of the network, by all possible routes. 
ENDDESCRIPTION
ENDTOPIC

STARTTOPIC     mbr

STARTEXAMPLE
To broadcast multicast frames simultaneously:

protocol route
   source route mbr
ENDEXAMPLE

STARTUSAGE
MBR

Type MBR to transmit multicast frames simultaneously to a group of 
destinations by all possible routes.  Omit MBR to transmit multicast 
frames by a single route.  

Default: Single route transmission only (MBR is omitted).
ENDUSAGE

STARTDESCRIPTION
Use this setting  to specify whether frames with function addresses 
(multicast frames) are sent simultaneously to a group of destinations 
by all possible routes. 
ENDDESCRIPTION
ENDTOPIC

STARTTOPIC     nodes

STARTEXAMPLE
To allow twenty-four entries in the source-routing table:

protocol route
   source route nodes 24
ENDEXAMPLE

STARTUSAGE
NODES n

Replace "n" with a number from 8 to 255.  If you type a number less 
than 8, 8 will be used. Default:  16 entries.
ENDUSAGE

STARTDESCRIPTION
Use this setting to specify the number of entries in the 
source-routing table. 
ENDDESCRIPTION
ENDTOPIC

STARTTOPIC     board

STARTEXAMPLE
To specify the second board of a particular type:

protocol route
   source route board 2
ENDEXAMPLE

STARTUSAGE
BOARD n

Replace "n" with a board number from 1 to 16.   Default: 1

For example, if a workstation has only one Token-Ring board, that 
board is 1 because it is the first board of its type in the workstation.  

If a workstation has two Token-Ring boards, the first Token-Ring 
board to load in the CONFIG.SYS file is 1 and the second is 2. 
ENDUSAGE

STARTDESCRIPTION
Use this setting to specify which board of a particular type is 
performing source routing. Use this setting for each type of 
Token-Ring board in the workstation. 
ENDDESCRIPTION
ENDTOPIC

STARTTOPIC Named Pipes


STARTUSAGE
NAMED PIPES
    CLIENT SESSIONS number
    SERVER SESSIONS number
    SERVICE THREADS number
ENDUSAGE

STARTDESCRIPTION
Use this option to manage Named Pipes sessions. 

To use Named Pipes, you must have enabled in in the CONFIG.SYS.
Do this with the Requester installation part of this procedure. 
ENDDESCRIPTION
ENDTOPIC

STARTTOPIC     client sessions

STARTEXAMPLE
To allow each client thirty sessions:

named pipes
    client sessions 30
ENDEXAMPLE

STARTUSAGE
CLIENT SESSIONS number

Replace "number" with a number from 3 to 128. 
Default: 16 sessions.

You need at least one client session for each connection from an OS/2 
application to a Named Pipes server. The default of 16 sessions is 
usually adequate, except with applications that use many Named Pipes. 
ENDUSAGE

STARTDESCRIPTION
Use this setting to specify the maximum number of 
connections any one workstation can establish with 
all Named Pipes servers. 
ENDDESCRIPTION
ENDTOPIC

STARTTOPIC     server sessions

STARTEXAMPLE
To allow each server three hundred sessions:

named pipes
   server sessions 300
ENDEXAMPLE

STARTUSAGE
SERVER SESSIONS number

Replace "number" with a number greater than 2.  Default: 32 sessions.

Novell's Named Pipes support is designed to handle more than 1,000 
server sessions; however, because of OS/2 requirements, the 
practical upper limit is lower (around 400). 

You must have at least as many SPX sessions as you have Named Pipes server
sessions (see Protocol Stack SPX "sessions" setting).  

If you specify fewer SPX sessions than Named Pipes server sessions, 
the Requester will treat the SPX session number as the maximum 
number of Named Pipes server sessions. 
ENDUSAGE

STARTDESCRIPTION
Use this setting to specify the maximum number of connections 
a Named Pipes server can support with all Named Pipes 
clients at any one time. 
ENDDESCRIPTION
ENDTOPIC

STARTTOPIC     service threads

STARTEXAMPLE
To increase the number of threads a Named Pipes server can use 
to twenty:
	
named pipes
   service threads 20
ENDEXAMPLE

STARTUSAGE
SERVICE THREADS number

Replace "number" with a number from 1 to 32. Default: 3 threads.

If the server application uses blocking pipes, increase 
this default. If the server application uses non-blocking 
pipes, use the default value for better performance. 
SQL Server does not use blocking pipes.
ENDUSAGE

STARTDESCRIPTION
Use this setting to specify the maximum number of threads 
the Named Pipes server can use to handle requests from all 
clients. 
ENDDESCRIPTION
ENDTOPIC

STARTTOPIC Virtual MLID for LAN Sharing

STARTUSAGE
VIRTUAL MLID FOR LAN SHARING
   VIRTUAL BOARD SIZE number
ENDUSAGE
ENDTOPIC

STARTTOPIC     virtual board size

STARTEXAMPLE
To set the buffer size to 2042 bytes:

virtual mlid for lan sharing
    virtual board size 2042
ENDEXAMPLE

STARTUSAGE
VIRTUAL BOARD SIZE number

Replace "number" with the number of bytes used by the NetWare 
v4.0 server.

Default:  1514 bytes
ENDUSAGE

STARTDESCRIPTION
Use this setting if you are using LANSHARE.SYS and the NetWare 
v4.0 server has a driver buffer size other than the LANSHARE.SYS
default of 1514 bytes.

If LANSHARE.SYS and NetWare v4.0 do not have the same driver
buffer size, an error message will be displayed on the system
console when binding, and binding will fail.
ENDDESCRIPTION

ENDTOPIC

ENDMESSAGE



STARTMESSAGE 14 ( Help screen for changing the source drive )
 Make sure the source drive shown is where you want to install from. 
 If not, type a new drive letter. 

 If you are installing from a network drive, be sure that you
 have previously copied all Requester and utilities diskettes
 to that network drive. 
 
 The directory structure on the network drive 
 must be EXACTLY the same as the directory structure on the 
 Requester and Utilities diskettes. 
ENDMESSAGE



STARTMESSAGE 15 ( Help screen for getting started - Requester Running)
   The NetWare Requester for OS/2 is installed on this workstation. 

   *  To reinstall the Requester, select "Requester on workstation"  
      from the "Installation" menu 

   *  To configure the Requester, select "This workstation" from the
      "Configuration" menu

   *  To install NetWare utilities for OS/2, select "Utilities on 
      server" from the "Installation" menu

   *  To install support for workstations without hard disks, select 
      "Remote workstations" from the "Installation" menu
 
   *  To configure the Requester for workstations without hard disks, select
      "Remote workstations" from the "Configuration" menu

   NOTE: You can choose "Readme!" from the menu at the top of this 
   screen to display any Readme text files that were shipped with this 
   version of the Requester.
ENDMESSAGE

STARTMESSAGE 16 ( Help screen for getting started - Requester NOT Running )

   The NetWare Requester for OS/2 is NOT installed  on this workstation. 

   *  To install the Requester, select "Requester on workstation" from 
      the "Installation" menu

   *  To configure the Requester, select "This workstation" from the 
      "Configuration" menu

   NOTE: You can select "Readme!" from the menu at the top of this 
   screen to display any Readme text files that were shipped with this 
   version of the Requester.
ENDMESSAGE

STARTMESSAGE 17 ( Help for Help )
 For help on a window:  Choose the "Help" button on the window
 or press F1.

 For overview help: Select "Help" from the menu bar
 or press F1 at the main window. 

 For help on a specific field, button, box, or menu item: Tab to 
 the item and read the message at the bottom of the screen
 
 For Readme files: Select "Readme!" from the menu bar. 
ENDMESSAGE

STARTMESSAGE 18 ( Help screen for installing a third party driver )
 Type the drive, directory path, and file name of the driver you want
 to install. You can install the driver from a diskette or from your hard
 drive. 
ENDMESSAGE

STARTMESSAGE 19 ( Help screen for copying the NetWare for OS/2 files)
 Note the location where the NetWare for OS/2 driver and server
 files will be copied. 

 The NetWare for OS/2 driver files must be copied to the same directory
 as the NetWare Requester files (if you have the NetWare 
 Requester installed). By default, this is the \NETWARE directory. 

 The NetWare for OS/2 server files and the NetWare v4.0 server
 files must be copied to the same directory. By default, this
 directory is \NWOS2.

 If you do not want to copy files to the locations displayed,
 choose the Cancel button. 

 If you do want to copy files, choose the Copy button. 
ENDMESSAGE

STARTMESSAGE 20 ( Help screen copying RIPL support files)
 Warning! You are about to copy the following files:

 - OS/2 system files from the root of your boot drive and the \OS2 
   subdirectory. (All files in the root are copied.) Depending on 
   your OS/2 configuration and the contents of your hard drive, 
   these files may use 30 MB or more of disk space. 
 
 - NetWare Requester files from the \NETWARE directory on your boot drive

 - Remote Initial Program Load (RIPL) files from the NetWare Requester 
   diskette. If you ran this installation from your hard drive, you may
   need to change the source drive to your floppy drive.  Type a new
   drive letter in the "Source Drive for Copying RIPL Files" box.    

 If you want to copy  the files to each server you've selected, 
 choose OK and continue with the installation procedure.   
 
 If you don't want to copy the files, choose OK and then Cancel.
 ENDMESSAGE

STARTMESSAGE 21
 The NetWare for OS/2 hardware drivers must be copied to the same
 directory as the NetWare Requester for OS/2 files (if you have the 
 NetWare Requester installed). By default, this is the \NETWARE
 directory. 
ENDMESSAGE

STARTMESSAGE 22
 The NetWare for OS/2 server files and the NetWare v4.0 server
 files must be copied to the same directory. By default, this
 directory is \NWOS2.

 This installation procedure sets a variable so that the 
 default location in the NetWare v4.0 installation is \NWOS2. 
ENDMESSAGE

STARTMESSAGE 23
 You can copy only the ODI driver displayed or you can copy 
 all ODI drivers. The ODI driver displayed is the one 
 currently loaded in the CONFIG.SYS file. If no ODI driver
 is currently loaded in the CONFIG.SYS, "None" is displayed.

 Copying only the driver you need saves space on your hard 
 drive. However, if you change ODI drivers later (for example, 
 if you change network boards) you will need to run this 
 installation program again and copy the new driver to your 
 hard drive. 
ENDMESSAGE